module Dynamord
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)
      desc "Creates Dynamord initializer for your application"

      def copy_initializer
        template "gem_initializer.rb", "config/initializers/dynamord.rb"
        template "dynamord_chain.rb", "app/models/concerns/dynamord_chain.rb"
        puts "Install complete!"
      end
    end
  end
end
